<?php
class OgMeta {

	private $image = 'https://www.villim.sk/images/';
	private $url = 'https://www.villim.sk/';
	private $description = '';

	public function __construct($image, $url, $description) {
		$this->image .= $image;
		$this->url .= $url;
		$this->description = $description;
	}

	public function getTags() {
		return '<meta property="og:image" content="' . $this->image . '">
		<meta property="og:image:type" content="image/jpeg">
		<meta property="og:url" content="' . $this->url . '">
		<meta property="fb:app_id" content="966242223397117">
		<meta property="og:type" content="article">
		<meta property="og:title" content="Internet Of Things">
		<meta property="og:description" content="' . $this->description . '">';
	}

	public function getDesc() {
		return $this->description;
	}
}