<?php

class Token {
	public static function generate() {
		return Session::put('token', bin2hex(random_bytes(64)));
	}

	public static function check($token) {

		if(Session::exists('token') && $token === Session::get('token')) {
			Session::delete('token');
			return true;
		}

		return false;
	}
}