<?php
if(Session::exists('success')) {
	echo "<div class='post-alert success'><p>" . Session::flash('success') . "</p></div>";
} else if(Session::exists('err')) {
	echo "<div class='post-alert err'><p>" . Session::flash('err') . "</p></div>";
}

if(isset($_GET["err"])) {
	$param = Input::get("err");
	$data = explode(' ', $param);

	$message = "<div class='post-alert err'><p><strong>Vyskytli sa nasledujúce chyby!</strong></p><br><ul>";
	foreach($data as $item) {
		switch($item) {
			case "min_name":
				$message .= "<li>Meno je príliš krátke (min 3 znaky).</li>";
			break;
			case "max_name":
				$message .= "<li>Meno je príliš dlhé (max 40 znakov).</li>";
			break;
			case "min_address":
				$message .= "<li>Adresa je príliš krátka (min 3 znaky).</li>";
			break;
			case "max_address":
				$message .= "<li>Adresa je príliš dlhá (max 40 znakov).</li>";
			break;
			case "email":
				$message .= "<li>Nesprávny formát E-Mail adresy.</li>";
			break;
			case "max_hnumber":
				$message .= "<li>Číslo domu je príliš dlhé (max 20 znakov).</li>";
			break;
			case "min_text":
				$message .= "<li>Správa je príliš krátka (min 10 znakov).</li>";
			break;
			case "max_text":
				$message .= "<li>Správa je príliš dlhá (max 500 znakov).</li>";
			break;
		}
	}

	$message .= "</ul></div>";
	echo $message;
}